Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::GatewaySensorManager::RemoteSnmpV1V2Device Struct Reference
Inheritance diagram for peripheral::GatewaySensorManager::RemoteSnmpV1V2Device:

## Public Attributes
string | community
| community string for v1/v2c
Public Attributes inherited from peripheral::GatewaySensorManager::RemoteSnmpDevice
string | host
| host
Public Attributes inherited from peripheral::GatewaySensorManager::RemoteDevice
string | deviceId
| remote device id
boolean | disabled
| prevents usage of all sensor specifications which reference this device
string | name
| human readable remote device name
int | timeoutMs
| communication access timeout, 0 = default
int | retry
| communication retry count, 0 = default

## Detailed Description

Definition at line 326 of file GatewaySensorManager.idl.

## Member Data Documentation

## ◆ community

string peripheral::GatewaySensorManager::RemoteSnmpV1V2Device::community

community string for v1/v2c

Definition at line 327 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl